> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a resident

> Create a resident



## OpenAPI

````yaml openapi-loyalty.json POST /v1/loyalty/residents
openapi: 3.1.0
info:
  title: Yorlet Loyalty API
  description: APIs for managing loyalty programs, events, residents, and tiers.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/loyalty/residents:
    post:
      tags:
        - Residents
      summary: Create a resident
      description: Create a resident
      operationId: residents_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                building:
                  type: string
                  description: The ID of the building to associate the resident with.
                email:
                  type: string
                  description: The resident's email address.
                name:
                  type: string
                  description: The resident's full name.
                tier:
                  type: string
                  pattern: ^[a-zA-Z0-9_]+$
                  description: The ID of the loyalty tier to assign the resident to.
                status:
                  type: string
                  enum:
                    - active
                    - inactive
                  description: The status of the resident's membership.
              required:
                - building
                - email
      responses:
        '200':
          description: Returns the created resident.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - resident
                  building:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The building the resident is associated with.
                  email:
                    type: string
                    description: The resident's email address.
                  name:
                    type:
                      - string
                      - 'null'
                    description: The resident's full name.
                  tier:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The loyalty tier the resident is assigned to.
                  status:
                    type: string
                    enum:
                      - active
                      - inactive
                    description: The status of the resident's membership.
                required:
                  - id
                  - created
                  - object
                  - building
                  - email
                  - name
                  - tier
                  - status
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````